<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output indent="yes" method="xml" xalan:indent-amount="4"
    doctype-system="http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd"
    xmlns:xalan="http://xml.apache.org/xalan"/>

<xsl:template match="project">
    <xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="project/environment">
    <xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="project/environment/database[../../model[@storage='hibernate']]">
    <xsl:variable name="quoteid" select="@quoteid_for_hibernate"/>
<hibernate-mapping auto-import="false" default-lazy="false" default-access="field"
    package="jp.jasminesoft.jfc.model.jprincipal">

    <import class="Jprincipal"/>

    <class name="Jprincipal" table="{$quoteid}jprncp{$quoteid}">

        <id name="id_">
            <column name="{$quoteid}id{$quoteid}"/>
        </id>
        <property name="no_">
            <column name="{$quoteid}no{$quoteid}"/><!-- R8.4.0 -->
        </property>

        <!--
            基本型で任意項目の場合、access="field"とする
            値が設定されていない(NULL)の場合にnullを取得したいため
        -->
        <property name="priority_">
            <column name="{$quoteid}priority{$quoteid}"/>
        </property>

        <property name="valid_">
            <column name="{$quoteid}valid{$quoteid}"/>
        </property>
        <property name="principalId_"><!-- R8.4.0 -->
            <column name="{$quoteid}prncpid{$quoteid}"/>
        </property>
        <property name="content_">
            <column name="{$quoteid}content{$quoteid}"/>
        </property>
        <property name="category_">
            <column name="{$quoteid}category{$quoteid}"/><!-- R8.4.0 -->
        </property>
        <property name="isShowInSelect_">
            <column name="{$quoteid}isshwinsct{$quoteid}"/><!-- R8.4.0 -->
        </property>
        <property name="isEditable_">
            <column name="{$quoteid}isedtbl{$quoteid}"/><!-- R8.4.0 -->
        </property>

        <list name="jpermissionId_" table="{$quoteid}jprncp$prm{$quoteid}" cascade="all" lazy="false">
            <key>
                <column name="{$quoteid}id{$quoteid}"/>
            </key>
            <index type="integer">
                <column name="{$quoteid}cid{$quoteid}"/>
            </index>
            <element type="integer">
                <column name="{$quoteid}jprmsid{$quoteid}"/>
            </element>
        </list>
    </class>

</hibernate-mapping>
</xsl:template>

<xsl:template match="*">
</xsl:template>

</xsl:stylesheet>
